Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowDMLException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.DMLException
oracle.jbo.RowDMLException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class RowDMLException
extends DMLException

Indicates a failure to post data to a database.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `mRowDefFullName`

Fields inherited from class oracle.jbo.DMLException
`DML_COMMIT, DML_DELETE, DML_INSERT, DML_RELEASE_SAVEPOINT, DML_ROLLBACK, DML_ROLLBACK_TO_SAVEPOINT, DML_SAVEPOINT, DML_UPDATE`

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`RowDMLException(int operation, java.lang.String stmt, java.lang.Exception ex, Row en, java.lang.String fullDefName)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_DML_POST_ENTITY`.

Method Summary
`void` | `doEntityToVOMapping(ApplicationModule rootAm, ViewObject[] vos)`
`java.lang.String` | `getRowDefName()`
`Key` | `getRowKey()`
`void` | `setEntityRow(Row row)`
`void` | `setEntityRow(Row row, java.lang.String defName)`

Methods inherited from class oracle.jbo.DMLException
`getEntityRow, getEntityRowHandle, getOperation, getOperationString, setEntityRowHandle`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mRowDefFullName

    protected java.lang.String mRowDefFullName

Constructor Detail

### RowDMLException

    public RowDMLException(int operation,
                           java.lang.String stmt,
                           java.lang.Exception ex,
                           Row en,
                           java.lang.String fullDefName)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_DML_POST_ENTITY`.
Parameters:
  `operation` - the attempted operation.
  `stmt` - the DML statement, the first message parameter.
  `ex` - the exception that spawned this exception, to be added to the details list.

Method Detail

### setEntityRow

    public void setEntityRow(Row row,
                             java.lang.String defName)

### setEntityRow

    public void setEntityRow(Row row)

  Overrides:
    `setEntityRow` in class `DMLException`

### doEntityToVOMapping

    public void doEntityToVOMapping(ApplicationModule rootAm,
                                    ViewObject[] vos)

  Overrides:
    `doEntityToVOMapping` in class `JboException`

### getRowKey

    public Key getRowKey()

  Overrides:
    `getRowKey` in class `DMLException`

### getRowDefName

    public java.lang.String getRowDefName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.